
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2381

NA Mr. Johannes Gaeseb REGISTRAR OF MEDICINES as signer for all letters and review reports

12/20/2016 01:43 PM - Oleksii Kurasov

Status: Closed Start date: 12/20/2016

Priority: Immediate Due date: 12/21/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Check it!

History

#1 - 12/21/2016 03:20 AM - Oleksii Kurasov

- Status changed from New to In Progress

N

#2 - 12/21/2016 05:14 AM - Oleksii Kurasov

- Status changed from In Progress to Closed

#3 - 12/23/2016 04:49 AM - Oleksii Kurasov

- Subject changed from NA Gazeba as signer for all letters and review reports to NA Mr. Johannes Gaeseb REGISTRAR OF MEDICINES as signer

for all letters and review reports
